<?php
	//Lo primero es ver si hay que hacer paginación
	$elementos_por_pagina = 150;
	$pagina_actual = $pagina;
	//$total_elementos = dame_valor_variable_global("total_elementos", 0);
	if ( $total_elementos > 0 ){
?>
    <p>
<?php
		//Voy a inicializar la variable de retorno de la función
		$retorno = "";
		//El valor de la última página (empezando por 1, como vamos a empezar por 0, hay que quitarle 1
		$ultima_pagina = floor($total_elementos / $elementos_por_pagina);//Redondeando hacia abajo
		if ( ($total_elementos % $elementos_por_pagina) > 0){
			$ultima_pagina++;
		}
		$ultima_pagina--;
		//Vamos a ver las páginas de inicio y de fin en el bucle de la paginación
		$inicio = $pagina_actual - round($limite/2);
		if ($inicio <= 0){
			$fin = $limite;
			$inicio = 0;
			if ($fin >= $ultima_pagina){
				$fin = $ultima_pagina;
			}
		}else{
			$fin = $pagina_actual + round($limite/2);
			if ($fin >= $ultima_pagina){
				$inicio = $ultima_pagina - $limite;
				$fin = $ultima_pagina;
			}
			if ($inicio < 0){
				$inicio = 0;
			}
		}
		//Vamos con el bucle
		for ($i=$inicio;$i<=$fin;$i++){
			if ($i != $pagina){
				$retorno.='<a href="' .$enlace . "&pagina=$i" . '" alt="' . $i . ' p&aacute;gina">' . ($i+1) . "</a>";
			}else{
				$retorno .= $i+1;
			}
			if ($i != $fin){
				$retorno .= $separador;
			}
		}
		//Vamos a añadir el enlace al primer elemento y a los 10 anteriores al actual (si procede)
		if ($inicio > 5){
			$retorno = '<a href="' . $enlace . "&pagina=" . ($pagina_actual - $limite) . '" alt="mas_paginas" title="menos" class="atras"><img src="' . $direccion_empresa . '/admin/images/arrow3.png" width="8" height="10" /></a>' . $retorno;
		}
		/*if ($inicio != 0){
			$retorno = '<a href="' . $enlace . '" title="ir a la primera" class="inicio">Inicio</a>' . $retorno;
		}*/
		if ($fin < ($ultima_pagina - 7)){
			$retorno.= '<a href="' . $enlace . "&pagina=" . ($pagina_actual + $limite) . '" alt="mas_paginas" title="m&aacute;s" class="adelante"><img src="images/arrow-b2-2.png" width="8" height="10" /></a>';
		}
		/*if ($fin != $ultima_pagina){
			$retorno.= '<a href="' . $enlace . "&pagina=$ultima_pagina" .'" alt="siguiente" title="ir a la &uacute;ltima" class="ultima"><img src="images/arrow-b2-2.png" width="8" height="10" /></a>';
		}*/
		echo($retorno);
?>
		</p>
<?php	
	}
?>